/**************************************************
opengate server test program 

Copyright (C) 2005 Yoshiaki Watanabe

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Email: watanaby@is.saga-u.ac.jp
**************************************************/

#include	"opengatesrv.h"

/********************/
/*  main routine    */
/********************/
int  main(int argc, char **argv)
{

  char serverID[100]="default";
  char userID[100];
  char password[100];

  /* start log */
  errToSyslog(ERRORTOSYSLOG);     /* set output of err_xxx() to syslogd */
  openlog(argv[0], LOG_PID, FACILITY);

  printf("Config file=[%s]\n",CONFIGFILE);

  /* get serverid, userid and password */
  printf("Enter serverID=");
  scanf("%s", serverID);
  printf("Enter userID=");
  scanf("%s", userID);
  printf("Enter password=");
  scanf("%s", password);

  /* create buffer for serverID from config file */
  if(CreateDbBuffer(serverID)!=0) return 0;
  
  /* request authentication */
  if(AuthenticateUser(userID, password)){
    printf("userID passed\n");
  }else{
    printf("userID is not passed\n");
  }

  return 0;
}


